<div class="card bg-light">
  
  <div class="card-header">Registro de Entrada y Devolucion de Insumos:</div>
 
  <div class="card-body" >
     <form #entradaForm="ngForm" >
      
      <div class="form-group row">
        <label class="col-sm-2 col-form-label">Tipo Registro</label>
        <div class="col-sm-6" >
          <select   name="descripcion" class="form-control" [(ngModel)]="entrada.descripcion">
            <option  [ngValue]="'entrada'">  entrada </option>
            <option  [ngValue]="'devuelta'">  devuelta </option>
          </select>
          
        </div>
      </div>
      <div class="form-group row">
        <label for="observacion" class="col-sm-2 col-form-label">Observación</label>
        <div class="col-sm-6">
          <textarea     name="observacion" [(ngModel)]="entrada.observacion" class="form-control"></textarea>
        </div>
      </div>

      <div class="form-group row">
        <div class="col-sm-6">
          <mat-form-field class="col-12">
            <input   type="text" placeholder="Añadir producto" aria-label="Productos" matInput [formControl]="autocompleteControl" [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete" [displayWith]="mostrarNombre" (optionSelected)="seleccionarProducto($event)">
              <mat-option *ngFor="let producto of productosFiltrados | async" [value]="producto">
                {{producto.nombre}}
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
          <div class="alert alert-danger" *ngIf="autocompleteControl.invalid && entradaForm.submitted">
            La entrada no puede no tener líneas!.
          </div>
        </div>
      </div>
      <div class="alert alert-info my-4" *ngIf="entrada.items.length == 0">
        No hay líneas asignadas para la entrada. Debe agregar al menos una!
      </div>
      <table class="table table-striped table-hover table-sm" *ngIf="entrada.items.length > 0">
        <thead>
          <tr>
            <th>Producto</th>
            <th>Medida</th>

            <th>Costo</th>
            <th>Existencia</th>

            <th>Cantidad</th>
            <th>Total</th>
            <th>Anular</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of entrada.items">
            <td class="col-3">{{item.producto.nombre}}</td>
            <td class="col-2">{{item.producto.medida}}</td>

            <td  class="col-2">{{item.producto.precio}}</td>
            <td>{{item.producto.existente}}</td>

            <td ><input type="number" value="{{item.cantidad}}" class="form-control col-sm-6" (change)="actualizarCantidad(item.producto.id, $event)"></td>
            <td><input type="number" disabled value="{{item.calcularImporte()}}" class="form-control col-sm-6" (change)="actualizarImporte(item.producto.id, $event)"></td>
            <td><button class="btn btn-danger btn-sm" type="button"
              (click)="eliminarItemFactura(item.producto.id)">x</button></td>
          </tr>
        </tbody>
      </table>
      <h5 class="float-right" *ngIf="entrada.items.length > 0">Gran Total: <span class="badge badge-secondary">{{entrada.calcularGranTotal()}}</span></h5>

      <div class="form-group row">
        <div class="col-sm-6">
          <input    type="submit" (click)="create(entradaForm)" value="Crear Registro" class="btn btn-secondary">
        </div>
      </div>
    </form>

  </div>
</div>
<ng-template #mymodal let-modal>
  <div class="modal-header  text-center">
    <h3 class="modal-title texto_principal" id="modal-basic-title"> 
      <i class="fa fa-exchange" aria-hidden="true"></i> Apertura de Caja:</h3>
  </div>
  <div class="card-body">
    <div class="content col-md-12 justify-content-center">
      <label><strong>Monto inicial</strong></label>
      <div class="row">
        <div class="col-sm-6">
          <input   name="montoinicial" [(ngModel)]="montoinicial" >
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-primary btn-sm mr-1" (click)="modal.close('Save click')"
     > <i class="fa fa-floppy-o" aria-hidden="true"></i> Ok</button>
    <button type="button" class="btn btn-outline-danger btn-sm" aria-label="Close"  (click)="modal.dismiss('Cross click')"
   > <i class="fa fa-window-close" aria-hidden="true"  ></i> Cancelar</button>
  </div>
</ng-template>
<ng-template #mymodalcierre let-modal>
  <div class="modal-header  text-center">
    <h3 class="modal-title texto_principal" id="modal-basic-title"> 
      <i class="fa fa-exchange" aria-hidden="true"></i> Cierre de Caja:</h3>
  </div>
  <div class="card-body">
    <div class="content col-md-12 justify-content-center">
      <label><strong>Usuario</strong></label>
      <div class="row">
        <div class="col-sm-6">
          <input   disabled name="montoinicial" [(ngModel)]="cajaAbierta.usuario" >
        </div>
      </div>
    </div>
    <div class="content col-md-12 justify-content-center">
      <label><strong>Efectivo inicial</strong></label>
      <div class="row">
        <div class="col-sm-6">
          <input  disabled name="montoinicial" [(ngModel)]="cajaAbierta.montoinicial" >
        </div>
      </div>
    </div>
    <div class="content col-md-12 justify-content-center">
      <label><strong>Total Ventas en Efectivo</strong></label>
      <div class="row">
        <div class="col-sm-6">
          <input  disabled name="montoinicial" [(ngModel)]="cajaAbierta.ventastotal" >
        </div>
      </div>
    </div>
  </div>
  <div class="card-header">
    <div class="content col-md-12 justify-content-center">
      <label><strong>Total Efectivo en Caja</strong></label>
      <div class="row">
        <div class="col-sm-6">
          <input disabled  name="montoinicial" [(ngModel)]="cajaAbierta.montofinal" >
        </div>
      </div>
    </div>
  </div>
  
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-primary btn-sm mr-1" (click)="modal.close('Save click')"
     > <i class="fa fa-floppy-o" aria-hidden="true"></i> Ok</button>
    <button type="button" class="btn btn-outline-danger btn-sm" aria-label="Close"  (click)="modal.dismiss('Cross click')"
    > <i class="fa fa-window-close" aria-hidden="true"  ></i> Cancelar</button>
  </div>
</ng-template>